Changeset 13850


Ignorieren:
Zeitstempel:
31.07.2016 14:26:31 (vor 16 Monaten)
Autor:
er13
Nachricht:

php:

  • drop support for php-5.4.x because of EOL
Ort:
trunk
Dateien:
1 gelöscht
3 bearbeitet

Legende:

Unverändert
Hinzugefügt
Entfernt
  • trunk/CHANGELOG

    r13849 r13850  
    154154    * pcre 8.38 
    155155    * pcscd 1.8.12 
    156     * php 5.4.45/5.5.38/5.6.24 
     156    * php 5.5.38/5.6.24 
    157157    * privoxy 3.0.24 
    158158    * polarssl 1.2.19/1.3.17 
  • trunk/make/php/Config.in

    r13849 r13850  
    1717    default FREETZ_PHP_VERSION_5_5 
    1818 
    19     config FREETZ_PHP_VERSION_5_4 
    20         bool "php 5.4.45" 
    2119    config FREETZ_PHP_VERSION_5_5 
    2220        bool "php 5.5.38" 
  • trunk/make/php/php.mk

    r13849 r13850  
    1 $(call PKG_INIT_BIN, $(if $(FREETZ_PHP_VERSION_5_4),5.4.45,$(if $(FREETZ_PHP_VERSION_5_6),5.6.24,5.5.38))) 
     1$(call PKG_INIT_BIN, $(if $(FREETZ_PHP_VERSION_5_6),5.6.24,5.5.38)) 
    22$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION).tar.bz2 
    3 $(PKG)_SOURCE_MD5_5.4.45:=185f67f1ca652b18bc0cca9d7edbde7c 
    43$(PKG)_SOURCE_MD5_5.5.38:=312244a0eecad602a1555ed2434e223f 
    54$(PKG)_SOURCE_MD5_5.6.24:=2ab124d58b7b763ca453f6a18ec3866b 
     
    138137endif 
    139138 
    140 $(PKG)_REBUILD_SUBOPTS += FREETZ_PHP_VERSION_5_4 
    141139$(PKG)_REBUILD_SUBOPTS += FREETZ_PHP_VERSION_5_5 
    142140$(PKG)_REBUILD_SUBOPTS += FREETZ_PHP_VERSION_5_6 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.